QT       += core gui network concurrent

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    csetsubstation.cpp \
    main.cpp \
    mainwindow.cpp \
    modbus/cmanagemodbus.cpp \
    modbus/libmodbus/modbus-data.c \
    modbus/libmodbus/modbus-rtu.c \
    modbus/libmodbus/modbus-tcp.c \
    modbus/libmodbus/modbus.c

HEADERS += \
    csetsubstation.h \
    mainwindow.h \
    modbus/cmanagemodbus.h \
    modbus/libmodbus/config.h \
    modbus/libmodbus/modbus-private.h \
    modbus/libmodbus/modbus-rtu-private.h \
    modbus/libmodbus/modbus-rtu.h \
    modbus/libmodbus/modbus-tcp-private.h \
    modbus/libmodbus/modbus-tcp.h \
    modbus/libmodbus/modbus-version.h \
    modbus/libmodbus/modbus.h

FORMS += \
    csetsubstation.ui \
    mainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
