﻿#ifndef CSETSUBSTATION_H
#define CSETSUBSTATION_H

#include <QWidget>
#include <QThread>

namespace Ui {
class CSetSubstation;
}

class CManageModbus;

class CSetSubstation : public QWidget
{
    Q_OBJECT

public:
    explicit CSetSubstation(QWidget *parent = nullptr);
    ~CSetSubstation();
signals:
    void sigStartWork();

private slots:
    void on_btnStart_clicked();

private:
    Ui::CSetSubstation *ui;
    QThread *m_pModbusThread;
    CManageModbus *m_pModbusSlave;
private:
    void initThd();
};

#endif // CSETSUBSTATION_H
